Child Address Account Regenerate
curl --request POST \
--url https://api.blockradar.co/v2/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId}/regenerate \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"currency": "<string>",
"reason": "The previous account was closed by the institution.",
"provider": "<string>",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"additionalData": {},
"code": "<string>",
"passkeyResponse": {},
"label": "<string>"
}
'import requests
url = "https://api.blockradar.co/v2/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId}/regenerate"
payload = {
"currency": "<string>",
"reason": "The previous account was closed by the institution.",
"provider": "<string>",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"additionalData": {},
"code": "<string>",
"passkeyResponse": {},
"label": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currency: '<string>',
reason: 'The previous account was closed by the institution.',
provider: '<string>',
assetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
additionalData: {},
code: '<string>',
passkeyResponse: {},
label: '<string>'
})
};
fetch('https://api.blockradar.co/v2/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId}/regenerate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 201,
"message": "Virtual account regenerated successfully",
"data": {
"id": "3e8fcd73-4067-4386-8c1e-9929e6a768d7",
"reference": "va_01J2X8JQ4V9N0P7K2M6C3F5R8T",
"accountNumber": "0123456789",
"accountName": "Acme Ltd / Ada Okafor",
"bankName": "Example Bank",
"bankCode": "999",
"currency": "NGN",
"institutionAddress": null,
"assetId": "ae455f23-3824-4125-baab-d158315cbcbd",
"providerId": "1128dd40-2c94-4c16-a6bf-fbbc6afee52c",
"isActive": true,
"status": "active",
"type": "AUTO_FUNDING",
"label": "Ada collection account",
"createdAt": "2026-07-19T12:30:00.000Z",
"updatedAt": "2026-07-19T12:30:00.000Z"
}
}v2
Child Address Account Regenerate
POST
/
v2
/
wallets
/
{walletId}
/
addresses
/
{addressId}
/
virtual-accounts
/
{virtualAccountId}
/
regenerate
Child Address Account Regenerate
Authorizations
Path Parameters
Wallet identifier.
Child address identifier.
Virtual account identifier.
Body
application/json
Required string length:
3Reason a replacement account is required.
Example:
"The previous account was closed by the institution."
Maximum string length:
100⌘I

